Doomsday Engine - Bug #1660

Player start near wall leads to misplaced player

2013-11-10 22:08 - vermil

Status: New Start date: 2013-11-10
Priority: Normal % Done: 0%
Assignee:

Category: Vanilla emulation

Target version: Modding

Description

http://www.doomworld.com/idgames/index.php?id=6714

The player1 start on Map11 of this wad is next to a diagonal wall with the bottom right corner of the start mobj just touching it.

In Doomsday, this leads to the player incorrectly spawning in the void, when starting this map, rather than on the player start.

Related issues:

Related to Bug #1661: [Deathkings] Bad behavior of object in lift (mobj hitbo...

New 2013-11-11

History

#1 - 2013-11-10 22:11 - vermil

Both Vanilla Doom and GZDoom correctly spawn the player on the starting spot (and hence inside the map).

#2 - 2013-11-11 10:33 - skyjake
- Tags set to PlaySim

- Category set to Vanilla emulation

#3 - 2017-04-03 14:40 - skyjake

- Target version set to Modding
